const getEventSubscribers = async (pool, {
  applicationName,
  eventSubscriber
} = {}) => {
  const {
    subscribersTableName,
    databaseName,
    executeStatement,
    escapeId,
    escape
  } = pool;
  const databaseNameAsId = escapeId(databaseName);
  const subscribersTableNameAsId = escapeId(subscribersTableName);
  const rows = await executeStatement(`
    SELECT * FROM ${databaseNameAsId}.${subscribersTableNameAsId}
    ${applicationName != null || eventSubscriber != null ? `
    WHERE ${applicationName != null ? `"applicationName" = ${escape(applicationName)}` : ''}
    ${applicationName != null && eventSubscriber != null ? ' AND ' : ''}
    ${eventSubscriber != null ? `"eventSubscriber" = ${escape(eventSubscriber)}` : ''}
    ` : ''}
  `);
  return rows;
};

export default getEventSubscribers;
//# sourceMappingURL=get-event-subscribers.js.map