import createLoadQuery from './create-load-query';
import processEventRows from './process-event-rows';
import { emptyLoadEventsResult } from '@resolve-js/eventstore-base';

const loadEventsByCursor = async (pool, {
  eventTypes,
  aggregateIds,
  cursor,
  limit
}) => {
  const sqlQuery = createLoadQuery(pool, {
    eventTypes,
    aggregateIds,
    cursor,
    limit
  });

  if (sqlQuery === null) {
    return emptyLoadEventsResult(cursor);
  }

  const rows = await pool.executeStatement(sqlQuery);
  return processEventRows(pool, cursor, rows);
};

export default loadEventsByCursor;
//# sourceMappingURL=load-events-by-cursor.js.map