"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

const checkRequestTimeout = pool => {
  if (typeof pool.getVacantTimeInMillis === 'function') {
    const vacantTimeInMillis = pool.getVacantTimeInMillis();

    if (Number.isNaN(vacantTimeInMillis)) {
      throw new _eventstoreBase.RequestTimeoutError('Got NaN as vacant time');
    }

    if (vacantTimeInMillis < 0) {
      throw new _eventstoreBase.RequestTimeoutError(`No vacant time to process the query ${vacantTimeInMillis}`);
    }

    return vacantTimeInMillis;
  }

  return undefined;
};

var _default = checkRequestTimeout;
exports.default = _default;
//# sourceMappingURL=check-request-timeout.js.map