"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _createLoadQuery = _interopRequireDefault(require("./create-load-query"));

var _processEventRows = _interopRequireDefault(require("./process-event-rows"));

var _eventstoreBase = require("@resolve-js/eventstore-base");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const loadEventsByCursor = async (pool, {
  eventTypes,
  aggregateIds,
  cursor,
  limit
}) => {
  const sqlQuery = (0, _createLoadQuery.default)(pool, {
    eventTypes,
    aggregateIds,
    cursor,
    limit
  });

  if (sqlQuery === null) {
    return (0, _eventstoreBase.emptyLoadEventsResult)(cursor);
  }

  const rows = await pool.executeStatement(sqlQuery);
  return (0, _processEventRows.default)(pool, cursor, rows);
};

var _default = loadEventsByCursor;
exports.default = _default;
//# sourceMappingURL=load-events-by-cursor.js.map