"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _errors = require("./errors");

var _eventstoreBase = require("@resolve-js/eventstore-base");

const makeKnownError = error => {
  if ((0, _errors.isServiceBusyError)(error) || (0, _errors.isConnectionTerminatedError)(error)) {
    var _error$stack;

    const busyError = new _eventstoreBase.ServiceBusyError(error.message);
    busyError.stack = (_error$stack = error.stack) !== null && _error$stack !== void 0 ? _error$stack : busyError.stack;
    return busyError;
  } else if ((0, _errors.isTimeoutError)(error)) {
    var _error$stack2;

    const timeoutError = new _eventstoreBase.RequestTimeoutError(error.message);
    timeoutError.stack = (_error$stack2 = error.stack) !== null && _error$stack2 !== void 0 ? _error$stack2 : timeoutError.stack;
    return timeoutError;
  } else if (error instanceof Error) {
    var _error$stack3;

    const connectionError = new _eventstoreBase.ConnectionError(error.message);
    connectionError.stack = (_error$stack3 = error.stack) !== null && _error$stack3 !== void 0 ? _error$stack3 : connectionError.stack;
    return connectionError;
  } else {
    return error;
  }
};

var _default = makeKnownError;
exports.default = _default;
//# sourceMappingURL=make-known-error.js.map