"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

var _checkRequestTimeout2 = _interopRequireDefault(require("./check-request-timeout"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const makePostgresClient = (pool, Postgres, connectionOptions) => {
  var _checkRequestTimeout;

  const vacantTimeInMillis = (_checkRequestTimeout = (0, _checkRequestTimeout2.default)(pool)) !== null && _checkRequestTimeout !== void 0 ? _checkRequestTimeout : _constants.DEFAULT_QUERY_TIMEOUT;
  const queryTimeout = Math.max(vacantTimeInMillis, _constants.MINIMAL_QUERY_TIMEOUT);
  const statementTimeout = Math.max(_constants.MINIMAL_QUERY_TIMEOUT, queryTimeout - 500);
  const connection = new Postgres({
    keepAlive: false,
    connectionTimeoutMillis: queryTimeout,
    idle_in_transaction_session_timeout: queryTimeout,
    query_timeout: queryTimeout,
    statement_timeout: statementTimeout,
    ...connectionOptions
  });
  connection.on('error', error => {
    return;
  });
  return connection;
};

var _default = makePostgresClient;
exports.default = _default;
//# sourceMappingURL=make-postgres-client.js.map