"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const prepare = (pool, config, {
  Postgres,
  escapeId,
  escape,
  fullJitter,
  executeStatement
}) => {
  var _eventsTableName, _snapshotsTableName, _secretsTableName, _subscribersTableName;

  let {
    databaseName,
    eventsTableName,
    snapshotsTableName,
    secretsTableName,
    subscribersTableName,
    // eslint-disable-next-line prefer-const
    ...connectionOptions
  } = config;
  eventsTableName = (_eventsTableName = eventsTableName) !== null && _eventsTableName !== void 0 ? _eventsTableName : 'events';
  snapshotsTableName = (_snapshotsTableName = snapshotsTableName) !== null && _snapshotsTableName !== void 0 ? _snapshotsTableName : 'snapshots';
  secretsTableName = (_secretsTableName = secretsTableName) !== null && _secretsTableName !== void 0 ? _secretsTableName : 'secrets';
  subscribersTableName = (_subscribersTableName = subscribersTableName) !== null && _subscribersTableName !== void 0 ? _subscribersTableName : 'subscribers';
  Object.assign(pool, {
    databaseName,
    eventsTableName,
    snapshotsTableName,
    secretsTableName,
    connectionOptions,
    subscribersTableName,
    Postgres,
    fullJitter,
    executeStatement: executeStatement.bind(null, pool),
    escapeId,
    escape
  });
};

var _default = prepare;
exports.default = _default;
//# sourceMappingURL=prepare.js.map