"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

const processEventRows = (pool, cursor, rows) => {
  const vectorConditions = (0, _eventstoreBase.cursorToThreadArray)(cursor);
  const events = [];

  for (const event of rows) {
    const threadId = +event.threadId;
    const threadCounter = +event.threadCounter;
    const oldThreadCounter = vectorConditions[threadId];
    vectorConditions[threadId] = Math.max(threadCounter + 1, oldThreadCounter);
    events.push(pool.shapeEvent(event));
  }

  return {
    cursor: (0, _eventstoreBase.threadArrayToCursor)(vectorConditions),
    events
  };
};

var _default = processEventRows;
exports.default = _default;
//# sourceMappingURL=process-event-rows.js.map