"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _pg = require("pg");

var _escapeId = _interopRequireDefault(require("../escape-id"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Note: this file is used only in tests for automatic schema creation
const create = async options => {
  const {
    databaseName,
    userLogin,
    // eslint-disable-next-line prefer-const
    ...connectionOptions
  } = options;
  const connection = new _pg.Client({ ...connectionOptions
  });
  await connection.connect();
  const query = [`CREATE SCHEMA ${(0, _escapeId.default)(databaseName)}`, `GRANT USAGE ON SCHEMA ${(0, _escapeId.default)(databaseName)} TO ${(0, _escapeId.default)(userLogin)}`, `GRANT ALL ON SCHEMA ${(0, _escapeId.default)(databaseName)} TO ${(0, _escapeId.default)(userLogin)}`, `GRANT ALL ON ALL TABLES IN SCHEMA ${(0, _escapeId.default)(databaseName)} TO ${(0, _escapeId.default)(userLogin)}`, `GRANT ALL ON ALL SEQUENCES IN SCHEMA ${(0, _escapeId.default)(databaseName)} TO ${(0, _escapeId.default)(userLogin)}`, `GRANT ALL ON ALL FUNCTIONS IN SCHEMA ${(0, _escapeId.default)(databaseName)} TO ${(0, _escapeId.default)(userLogin)}`, `ALTER SCHEMA ${(0, _escapeId.default)(databaseName)} OWNER TO ${(0, _escapeId.default)(userLogin)}`].join('; ');

  try {
    await connection.query(query);
  } catch (err) {
    throw err;
  } finally {
    await connection.end();
  }
};

var _default = create;
exports.default = _default;
//# sourceMappingURL=create.js.map