"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationPaused = async (pool, pause) => {
  const {
    executeStatement,
    escapeId,
    databaseName
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  const databaseNameAsId = escapeId(databaseName);
  await executeStatement(`UPDATE ${databaseNameAsId}.${escapeId(replicationStateTableName)} 
    SET "IsPaused" = ${pause ? `TRUE` : 'FALSE'}`);
};

var _default = setReplicationPaused;
exports.default = _default;
//# sourceMappingURL=set-replication-paused.js.map