import { Client as Postgres } from 'pg';
import type { AdapterPoolConnectedProps, AdapterPoolConnected, AdapterPoolPossiblyUnconnected, AdapterConfig, AdapterTableNames, AdapterTableNamesProps } from '@resolve-js/eventstore-base';
declare type EscapeFunction = (source: string) => string;
declare type FullJitter = (retries: number) => number;
export declare type PostgresqlAdapterPoolConnectedProps = AdapterPoolConnectedProps & AdapterTableNamesProps & {
    Postgres: typeof Postgres;
    connectionOptions: any;
    databaseName: string;
    fullJitter: FullJitter;
    executeStatement: (sql: string, useDistinctConnection?: boolean) => Promise<any[]>;
    escapeId: EscapeFunction;
    escape: EscapeFunction;
    connection: Postgres;
};
export declare type PostgresqlAdapterConfig = AdapterConfig & AdapterTableNames & {
    user?: string;
    database: string;
    port?: number;
    host?: string;
    password?: string;
    databaseName?: string;
    [key: string]: any;
};
export declare type AdapterPool = AdapterPoolConnected<PostgresqlAdapterPoolConnectedProps>;
export declare type AdapterPoolPrimal = AdapterPoolPossiblyUnconnected<PostgresqlAdapterPoolConnectedProps>;
export declare type ConnectionDependencies = {
    Postgres: typeof Postgres;
    fullJitter: FullJitter;
    escapeId: EscapeFunction;
    escape: EscapeFunction;
    executeStatement: (pool: AdapterPool, sql: string, useDistinctConnection?: boolean) => Promise<any[]>;
};
export declare type PostgresResourceConfig = {
    user: PostgresqlAdapterConfig['user'];
    database: PostgresqlAdapterConfig['database'];
    databaseName: PostgresqlAdapterConfig['databaseName'];
    host: PostgresqlAdapterConfig['host'];
    port: PostgresqlAdapterConfig['port'];
    password: PostgresqlAdapterConfig['password'];
    userLogin: string;
};
export {};
